SuSE9 Security Update : CUPS (YOU Patch Number 12665)

Medium Nessus Plugin ID 50982


The remote SuSE 9 host is missing a security-related patch.


This update fixes the following vulnerabilities in cups :

- A specially crafted PDF file could crash the pdftops potentially even cause execution of arbitrary code.
(CVE-2010-3702: CVSS v2 Base Score: 5.8).

- A NULL pointer dereference issue exists in the
_WriteProlog function of texttops. (CVE-2010-0542: CVSS v2 Base Score: 6.8: Permissions, Privileges, and Access Control (CWE-264)). (CVE-2010-0542)

- Memory disclosure in web interface. (CVE-2010-1748: CVSS v2 Base Score: 4.3: Buffer Errors (CWE-119)).


Apply YOU patch number 12665.

See Also

Plugin Details

Severity: Medium

ID: 50982

File Name: suse9_12665.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2010/12/06

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2010/11/18

Reference Information

CVE: CVE-2010-0542, CVE-2010-1748, CVE-2010-3702, CVE-2010-3703

CWE: 119, 264